class ApplicationController < ActionController::Base
  protect_from_forgery

  helper_method :current_user_session, :current_user, :canSave, :require_user, :require_user_no_redirect

  private
  def current_user_session
    return @current_user_session if defined?(@current_user_session)
    @current_user_session = UserSession.find
  end

  def current_user
    return @current_user if defined?(@current_user)
    @current_user = current_user_session && current_user_session.user
  end
end


def require_no_user
  if current_user
    store_location
    flash[:notice] = "You must be logged out to access this page"

    return false
  end
end

def require_user
  unless logged_in?
    puts
    flash[:notice] = "You must be logged in to access this page"
    redirect_to root_path

  end
end

def require_user_no_redirect
  unless logged_in?
    puts
    flash[:notice] = "You must be logged in to access this page"
    render :nothing => true, :status => :error

  end
end

def logged_in?
  return current_user != nil
end



def store_location
  session[:return_to] = request.fullpath
end

def IsAdmin?
  return current_user.IsAdmin
end

def canSave
  unless current_user.uprawnienie.canSave
    flash[:notice] = "Nie masz uprawnien do zapisu nowych legitymacji"
    redirect_to root_path
  end
end
