class UserSessionsController < ApplicationController
  before_filter :require_no_user, :only => [:new, :create, :create_android]
  before_filter :require_user, :only => :destroy

  def new
    @user_session = UserSession.new
    respond_to do |f|
      f.html {render :layout => nil}
    end
  end

  def create
    @user_session = UserSession.new(params[:user_session])
    if @user_session.save
      flash[:notice] = "Login successful!"
      logger.info "Zalogowany"
      redirect_to root_url
    else
      logger.info "Nie zalogowany"
      render :action => :new
    end
  end

  def destroy
    current_user_session.destroy
    flash[:notice] = "Logout successful!"
    redirect_to root_url
  end

  def create_android
    @user_session = UserSession.new(params[:user_session])
    if @user_session.save
      flash[:notice] = "Login successful!"
      logger.info "Zalogowany"
      render :nothing => true
    else
      logger.info "Nie zalogowany"
      render :action => :new
    end
  end
end


