class UsersController < ApplicationController
  before_filter :require_no_user, :only => [:new, :create]
  before_filter :require_user, :only => [:show, :edit, :update]

  def nil_page
    render :nothing => true
  end

  def main

    respond_to do |f|
      f.html
    end
  end

  def new
    @user = User.new
    @upr = Uprawnienie.new
    respond_to do |f|
      f.html {render "users/show", :layout => nil}
    end
  end

  def index
    @NaStrone = 10
    if(params["strona"].blank?)
      off = 0
    else
      off = @NaStrone*(Integer(params["strona"])-1)
    end
    @users = User.limit(@NaStrone).offset(off)

    ilosc = User.all.count
    @strony = (ilosc/@NaStrone).ceil-1
    @strona = params["strona"].to_i
    @color =0
    if(params["strona"].blank?)
      respond_to do |f|
        f.html{}
      end
    else
      respond_to do |f|
        f.html{render :partial => 'users/tableAll', :locals => {:users => @users} }
      end
    end

  end

  def create
    @user = User.new
    @user.Imie = params[:user][:Imie]
    @user.Nazwisko = params[:user][:Nazwisko]
    @user.IdGmina = params[:user][:IdGmina]
    @user.login = params[:user][:login]
    @user.password = params[:user][:password]
    @user.password_confirmation = params[:user][:password_confirmation]
    @user.IsAdmin = params[:user][:IsAdmin]
    if @user.save
        @upr = Uprawnienie.new
        @upr.user_id=@user.id
        @upr.save

    else

    end
    redirect_to index_users_url
  end

  def destroy
    @user = User.find_by_id(params[:id])
    @user.destroy
    redirect_to index_users_url
  end

  def show
    @user = User.find_by_id(params[:id])
    @upr = @user.uprawnienie
    respond_to do |f|
      f.html {render :layout => nil}

    end
  end

  def edit
    @user = @current_user
  end

  def update
    @user = @current_user # makes our views "cleaner" and more consistent
    if @user.update_attributes(params[:user])
      #flash[:notice] = "Account updated!"
      redirect_to account_url
    else
      render :action => :edit
    end
  end

  def save
     @user = User.find_by_id(params[:user][:id])
    @user.Imie = params[:user][:Imie]
     @user.Nazwisko = params[:user][:Nazwisko]
     @user.IdGmina = params[:user][:IdGmina]
     @user.IsAdmin = params[:user][:IsAdmin]
    @user.save
     redirect_to index_users_url
    #respond_to do |f|
    #  f.html
    #  f.js { render "users/save_js"}

    #end

  end

  def table
    @user = User.find_by_id(params[:id])
    respond_to do |f|
      f.html{render :layout => nil}
    end
  end

  def uprawnienia_save
    @upr = Uprawnienie.find_by_id(params[:uprawnienie][:id])
    @upr.canRead = params[:uprawnienie][:canRead]
    @upr.canReadOthers = params[:uprawnienie][:canReadOthers]
    @upr.canSave = params[:uprawnienie][:canSave]
    @upr.save
    redirect_to index_users_url
    #respond_to do |f|
    #  render :nothing => true
    #end
  end


end
