BarcodeSerwis::Application.routes.draw do
  resource :user_session
  match '/legits/edit/:id' => 'legits#edit'
  match '/legits_index', :controller => "legits", :action => 'index'
  match '/legits/new' => 'legits#new'
  match '/legits/search' => 'legits#index_search'
  match '/legits/destroy/:id' => 'legits#destroy', :as => :destroy_legit
  match '/legits/:id' => 'legits#show'
  match '/users' => 'users#index', :as => :index_users
  match '/users/show' => 'users#show', :as => :show_user
  match '/users/new' => 'users#new', :as => :new_user
  match '/users/create' => 'users#create', :as => :create_user
  match '/users_save' => 'users#save', :as => :save_user
  match '/users_table' => 'users#table'
  match '/users/destroy/:id' => 'users#destroy', :as => :destroy_user
  match '/uprawnienie_save' => 'users#uprawnienia_save', :as => :save_upr
  match '/gmina/find' => 'gminas#index'
  match '/wyloguj' => 'user_sessions#destroy'
  match '/android/login' =>  'user_sessions#create_android'
  match '/android/img' =>  'legits#android_img'
  match '/android' =>  'users#nil_page'
  match '/image_create' =>  'image#create'

  match '/gmina/index' => 'gminas#index', :as => :index_gmina
  match '/gmina/new' => 'gminas#new', :as => :new_gmina
  match '/gmina/show' => 'gminas#show', :as => :show_gmina
  match '/gmina/create' => 'gminas#create', :as => :create_gmina
  match '/gmina_save' => 'gminas#save', :as => :save_gmina
  match '/gmina/destroy/:id' => 'gminas#destroy', :as => :destroy_gmina

  resource :legits

  root :controller => "users", :action => "main"
end
